com.sun.jna.platform.win32

## Class OaIdl.PARAMDESCEX.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.PARAMDESCEX
    - - com.sun.jna.platform.win32.OaIdl.PARAMDESCEX.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    OaIdl.PARAMDESCEX

      public static class OaIdl.PARAMDESCEX.ByReference
      extends OaIdl.PARAMDESCEX
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.OaIdl.PARAMDESCEX

      `OaIdl.PARAMDESCEX.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.OaIdl.PARAMDESCEX

      `cBytes, varDefaultValue`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OaIdl.PARAMDESCEX.ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.OaIdl.PARAMDESCEX

      `getFieldOrder`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OaIdl.PARAMDESCEX.ByReference

          public OaIdl.PARAMDESCEX.ByReference()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.